⌘K

MidJourney Retexture

midjourney_retexture

MidJourney Retexture applies new textures and materials to images while maintaining structure.

MidJourney API Notes

The MidJourney API is divided into two categories: Direct Generation and Secondary Editing. Direct Generation only requires providing necessary parameters such as prompts to generate images directly. Secondary Editing requires providing the previous task ID and image number to execute image generation. retexture is a Direct Generation category

Authentication

authorization string required

All APIs require authentication via Bearer Token.

Get API Key:

Visit API Key Management Page to get your API Key

Usage:

Add to request header:

Authorization: Bearer YOUR_API_KEY

Parameters

model string required

Model ID to use for the request.

Value: midjourney_retexture


imgUrl string required

Image URL, must be valid HTTP/HTTPS URL with length not exceeding 1024 characters.


remixPrompt string required

Remix prompt, length must be between 1-8192 characters.


callback string

Callback URL, must be valid HTTP/HTTPS URL.


Polling

Since result generation takes time, you need to poll the task status after creating the task.

The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.

See the examples on the right for polling requests and responses.

Response Format

error object

Error information. Only present when status is failed.

code integer

Error code.

error_message string

Detailed error message.


output array

Generation results. Only present when status is completed.

content array

List of generated content.

type string

Resource type, e.g., video, image.

url string

Generated content URL.


usage object

Usage statistics. Only present when status is completed.

cost string

Total cost in USD.

discount number

Discount amount.


metadata object

Metadata information.


Error Codes

Error CodeDescription
004013001Image URL missing
004013002Invalid image URL length
004013003Invalid image URL format
004013004Remix prompt missing
004013005Invalid remix prompt length
004013006Invalid callback URL
004013098Generation failed
004013099Service unavailable